Bug 58888 - RFE: add --rsyncable
Summary: RFE: add --rsyncable
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gzip   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-26 19:46 UTC by Jeff Johnson
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-28 21:08:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
--rsyncable patch (10.05 KB, patch)
2002-01-26 19:47 UTC, Jeff Johnson
no flags Details | Diff

Description Jeff Johnson 2002-01-26 19:46:36 UTC
Here's a patch from Rusty Russell through alikins to add --rsyncable
to the gzip command line that shouldn't break anything else.

FWIW, the equivalent patch for zlib is gonna be internalized
in rpm for payload compression. You've been warned :-)

Comment 1 Jeff Johnson 2002-01-26 19:47:28 UTC
Created attachment 43620 [details]
--rsyncable patch

Comment 2 Trond Eivind Glomsrxd 2002-01-28 21:00:16 UTC
What does this patch do - what is "--rsyncable" ?

Comment 3 Jeff Johnson 2002-01-28 21:08:48 UTC
If (and only if) --rsyncable is specified, then the compression
algorithm changes to preserve rsync's block boundaries on
compressed data. This leads to ~1% degradation in the
size of the compressed text, but can lead to dramatic improvements
when the compressed text is rsync'd.

Try a google search on "gzip.rsync.patch2" for details, there's
a talk given at a linux conference in Oz by Rusty Russell, more.

Comment 4 Trond Eivind Glomsrxd 2002-06-21 15:20:02 UTC
It was added in 1.3.2-3. It's just been removed, but that's a separate issue :).


Note You need to log in before you can comment on or make changes to this bug.